package xn.hxp.ui.main.fragment;

import android.view.LayoutInflater;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.viewbinding.ViewBinding;

import xn.hxp.base.BaseFragment;
import xn.hxp.databinding.FragmentMainCabinetBinding;
import xn.hxp.room.bean.cabinet.Cabinet;
import xn.hxp.ui.main.MainActivity;

public class CabinetFragment extends BaseFragment {
    private FragmentMainCabinetBinding binding;
    private MainActivity mainActivity;
    private Cabinet cabinet;

    public CabinetFragment(MainActivity mainActivity, Cabinet cabinet) {
        this.cabinet = cabinet;
        this.mainActivity = mainActivity;
    }

    @Override
    protected ViewBinding setViewBinding(@NonNull LayoutInflater inflater, @Nullable ViewGroup container) {
        binding = FragmentMainCabinetBinding.inflate(inflater);
        return binding;
    }

    @Override
    protected void onInit() {
        updateCabinet(cabinet);
    }

    public void updateCabinet(Cabinet cabinet) {

    }
}
